Xerces2 Implementation: Class XIncludeAwareParserConfiguration

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.parsers
Class XIncludeAwareParserConfiguration

    java.lang.Object
      |
      +--org.apache.xerces.util.ParserConfigurationSettings
            |
            +--org.apache.xerces.parsers.XML11Configuration
                  |
                  +--org.apache.xerces.parsers.XIncludeAwareParserConfiguration

All Implemented Interfaces:
  XML11Configurable, org.apache.xerces.xni.parser.XMLComponentManager, org.apache.xerces.xni.parser.XMLParserConfiguration, org.apache.xerces.xni.parser.XMLPullParserConfiguration

Direct Known Subclasses:
  SecurityConfiguration, SoftReferenceSymbolTableConfiguration, XMLGrammarCachingConfiguration

public class XIncludeAwareParserConfiguration
extends XML11Configuration

This class is the configuration used to parse XML 1.0 and XML 1.1 documents and provides support for XInclude. This is the default Xerces configuration.

Version:
  $Id: XIncludeAwareParserConfiguration.java 987475 2010-08-20 12:27:44Z mrglavas $
Author:
  Michael Glavassevich, IBM

Field Summary
`protected static java.lang.String` | `ALLOW_UE_AND_NOTATION_EVENTS` Feature identifier: allow notation and unparsed entity events to be sent out of order.
`protected org.apache.xerces.xni.NamespaceContext` | `fCurrentNSContext` Current NamespaceContext.
`protected NamespaceSupport` | `fNonXIncludeNSContext` Non-XInclude NamespaceContext.
`protected boolean` | `fXIncludeEnabled` Flag indicating whether XInclude processsing is enabled.
`protected XIncludeHandler` | `fXIncludeHandler` XInclude handler.
`protected XIncludeNamespaceSupport` | `fXIncludeNSContext` XInclude NamespaceContext.
`protected static java.lang.String` | `NAMESPACE_CONTEXT` Property identifier: error reporter.
`protected static java.lang.String` | `XINCLUDE_FEATURE` Feature identifier: XInclude processing
`protected static java.lang.String` | `XINCLUDE_FIXUP_BASE_URIS` Feature identifier: fixup base URIs.
`protected static java.lang.String` | `XINCLUDE_FIXUP_LANGUAGE` Feature identifier: fixup language.
`protected static java.lang.String` | `XINCLUDE_HANDLER` Property identifier: XInclude handler.

Fields inherited from class org.apache.xerces.parsers.XML11Configuration
`ALLOW_JAVA_ENCODINGS, CONTINUE_AFTER_FATAL_ERROR, DATATYPE_VALIDATOR_FACTORY, DOCUMENT_SCANNER, DTD_PROCESSOR, DTD_SCANNER, DTD_VALIDATOR, ENTITY_MANAGER, ENTITY_RESOLVER, ERROR_HANDLER, ERROR_REPORTER, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, fCommonComponents, fComponents, fConfigUpdated, fCurrentDTDScanner, fCurrentDVFactory, fCurrentScanner, fDatatypeValidatorFactory, fDocumentHandler, fDTDContentModelHandler, fDTDHandler, fDTDProcessor, fDTDScanner, fDTDValidator, fEntityManager, fErrorReporter, fGrammarPool, fInputSource, fLastComponent, fLocale, fNamespaceScanner, fNonNSDTDValidator, fNonNSScanner, fParseInProgress, fSchemaValidator, fSymbolTable, fValidationManager, fVersionDetector, fXML11Components, fXML11DatatypeFactory, fXML11DocScanner, fXML11DTDProcessor, fXML11DTDScanner, fXML11DTDValidator, fXML11NSDocScanner, fXML11NSDTDValidator, GENERATE_SYNTHETIC_ANNOTATIONS, HONOUR_ALL_SCHEMALOCATIONS, ID_IDREF_CHECKING, IDENTITY_CONSTRAINT_CHECKING, IGNORE_XSI_TYPE, JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, LOAD_EXTERNAL_DTD, LOCALE, NAMESPACE_BINDER, NAMESPACE_GROWTH, NAMESPACES, NORMALIZE_DATA, NOTIFY_BUILTIN_REFS, NOTIFY_CHAR_REFS, PRINT_EXCEPTION_STACK_TRACE, ROOT_ELEMENT_DECL, ROOT_TYPE_DEF, SCHEMA_AUGMENT_PSVI, SCHEMA_DV_FACTORY, SCHEMA_ELEMENT_DEFAULT, SCHEMA_LOCATION, SCHEMA_NONS_LOCATION, SCHEMA_VALIDATOR, SYMBOL_TABLE, TOLERATE_DUPLICATES, UNPARSED_ENTITY_CHECKING, USE_GRAMMAR_POOL_ONLY, VALIDATE_ANNOTATIONS, VALIDATION, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF, WARN_ON_DUPLICATE_ENTITYDEF, WARN_ON_UNDECLARED_ELEMDEF, XML_STRING, XML11_DATATYPE_VALIDATOR_FACTORY, XMLGRAMMAR_POOL, XMLSCHEMA_FULL_CHECKING, XMLSCHEMA_VALIDATION`

Fields inherited from class org.apache.xerces.util.ParserConfigurationSettings
`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties, PARSER_SETTINGS`

Constructor Summary
`XIncludeAwareParserConfiguration()` Default constructor.
`XIncludeAwareParserConfiguration(SymbolTable symbolTable)` Constructs a parser configuration using the specified symbol table.
`XIncludeAwareParserConfiguration(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)` Constructs a parser configuration using the specified symbol table and grammar pool.
`XIncludeAwareParserConfiguration(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool, org.apache.xerces.xni.parser.XMLComponentManager parentSettings)` Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

Method Summary
`protected void` | `configurePipeline()` Configures the pipeline.
`protected void` | `configureXML11Pipeline()` Configures the XML 1.1 pipeline.
`boolean` | `getFeature(java.lang.String featureId)` Returns the state of a feature.
`void` | `setFeature(java.lang.String featureId, boolean state)` Set the state of a feature.

Methods inherited from class org.apache.xerces.parsers.XML11Configuration
`addCommonComponent, addComponent, addRecognizedParamsAndSetDefaults, addXML11Component, checkFeature, checkProperty, cleanup, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getLocale, getProperty, parse, parse, reset, resetCommon, resetXML11, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setInputSource, setLocale, setProperty`

Methods inherited from class org.apache.xerces.util.ParserConfigurationSettings
`addRecognizedFeatures, addRecognizedProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties`

Field Detail

### ALLOW_UE_AND_NOTATION_EVENTS

    protected static final java.lang.String ALLOW_UE_AND_NOTATION_EVENTS

  Feature identifier: allow notation and unparsed entity events to be sent out of order.

### XINCLUDE_FIXUP_BASE_URIS

    protected static final java.lang.String XINCLUDE_FIXUP_BASE_URIS

  Feature identifier: fixup base URIs.

### XINCLUDE_FIXUP_LANGUAGE

    protected static final java.lang.String XINCLUDE_FIXUP_LANGUAGE

  Feature identifier: fixup language.

### XINCLUDE_FEATURE

    protected static final java.lang.String XINCLUDE_FEATURE

  Feature identifier: XInclude processing

### XINCLUDE_HANDLER

    protected static final java.lang.String XINCLUDE_HANDLER

  Property identifier: XInclude handler.

### NAMESPACE_CONTEXT

    protected static final java.lang.String NAMESPACE_CONTEXT

  Property identifier: error reporter.

### fXIncludeHandler

    protected XIncludeHandler fXIncludeHandler

  XInclude handler.

### fNonXIncludeNSContext

    protected NamespaceSupport fNonXIncludeNSContext

  Non-XInclude NamespaceContext.

### fXIncludeNSContext

    protected XIncludeNamespaceSupport fXIncludeNSContext

  XInclude NamespaceContext.

### fCurrentNSContext

    protected org.apache.xerces.xni.NamespaceContext fCurrentNSContext

  Current NamespaceContext.

### fXIncludeEnabled

    protected boolean fXIncludeEnabled

  Flag indicating whether XInclude processsing is enabled.

Constructor Detail

### XIncludeAwareParserConfiguration

    public XIncludeAwareParserConfiguration()

  Default constructor.

### XIncludeAwareParserConfiguration

    public XIncludeAwareParserConfiguration(SymbolTable symbolTable)

  Constructs a parser configuration using the specified symbol table.
  Parameters:
    `symbolTable` - The symbol table to use.

### XIncludeAwareParserConfiguration

    public XIncludeAwareParserConfiguration(SymbolTable symbolTable,
                                            org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)

  Constructs a parser configuration using the specified symbol table and grammar pool.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.

### XIncludeAwareParserConfiguration

    public XIncludeAwareParserConfiguration(SymbolTable symbolTable,
                                            org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool,
                                            org.apache.xerces.xni.parser.XMLComponentManager parentSettings)

  Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.
    `parentSettings` - The parent settings.

Method Detail

### configurePipeline

    protected void configurePipeline()

  Configures the pipeline.
  Overrides:
    `configurePipeline` in class `XML11Configuration`

### configureXML11Pipeline

    protected void configureXML11Pipeline()

  Description copied from class: `XML11Configuration`
  Configures the XML 1.1 pipeline. Note: this method also resets the new XML11 components.
  Overrides:
    `configureXML11Pipeline` in class `XML11Configuration`

### getFeature

    public boolean getFeature(java.lang.String featureId)
                       throws org.apache.xerces.xni.parser.XMLConfigurationException

  Description copied from class: `XML11Configuration`
  Returns the state of a feature.
  Overrides:
    `getFeature` in class `XML11Configuration`
  Following copied from class: `org.apache.xerces.parsers.XML11Configuration`
  Parameters:
    `featureId` - The feature identifier.
  Returns:
    true if the feature is supported
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### setFeature

    public void setFeature(java.lang.String featureId,
                           boolean state)
                    throws org.apache.xerces.xni.parser.XMLConfigurationException

  Description copied from class: `XML11Configuration`
  Set the state of a feature. Set the state of any feature in a SAX2 parser. The parser might not recognize the feature, and if it does recognize it, it might not be able to fulfill the request.
  Overrides:
    `setFeature` in class `XML11Configuration`
  Following copied from class: `org.apache.xerces.parsers.XML11Configuration`
  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
    `state` - The requested state of the feature (true or false).
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - If the requested feature is not known.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.